Cytosim PI Cytoskeleton Simulator

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Public Attributes | Friends
TreadmillingFiberProp Class Reference
All Object Properties

## Detailed Description

Assembly is continuous, and can occur at both ends.

Inheritance diagram for TreadmillingFiberProp:

## Public Member Functions
| TreadmillingFiberProp (const std::string &n)
| constructor
| ~TreadmillingFiberProp ()
| destructor
Fiber * | newFiber () const
| return a Fiber with this property
void | clear ()
| set default values
void | read (Glossary &)
| set using a Glossary
void | complete (SimulProp const *, PropertyList *)
| check and derive parameter values
Property * | clone () const
| return a carbon copy of object
void | write_data (std::ostream &) const
| write
Public Member Functions inherited from FiberProp
| FiberProp (const std::string &n)
| constructor
| ~FiberProp ()
| destructor
Fiber * | newFiber (Glossary &) const
| return a Fiber with this property, initialized
std::string | kind () const
| identifies the property
Public Member Functions inherited from Property
| Property (const std::string &n, const int index=-1)
| constructor must provide a name
virtual | ~Property ()
| destructor
std::string | name () const
| return identifier for instantiation
void | name (const std::string &n)
| change name
bool | is_named (const std::string &n)
| true if 'name' matches
int | index () const
| index, unique among all Property of similar kind()
void | index (int x)
| set index in the array of Properties
bool | modified () const
| true if at least one value is different than its default setting
void | readString (std::string &, char stamp)
| set from a string, return number of values assigned More...
void | readFile (const char file[])
| set from a string, return number of values assigned
void | write_diff (std::ostream &, const Property *ref) const
| write only values that differ from the ones specified in ref
void | write_diff (std::ostream &, bool prune) const
| if ( prune == true ), write values that differ from the default values
void | write (std::ostream &, bool prune=false) const
| write header + data More...

## Public Attributes
real | growing_force [2]
| see TreadmillingFiber More...
real | growing_speed [2]
| Speed of assembly.
real | shrinking_speed [2]
| Speed of disassembly.
real | min_length
| Minimum authorized length. More...
Public Attributes inherited from FiberProp
real | length
| length or initial-length for dynamic fibers
real | viscosity
| effective viscosity (if not specified, simul:viscosity is used)
unsigned int | binding_key
| can be set to control which Hands may bind More...
real | rigidity
| modulus for bending elasticity More...
real | segmentation
| desired distance between model points More...
real | total_polymer
| amount of polymer available for this type of fiber
real | hydrodynamic_radius [2]
| radius used to calculate mobility More...
bool | surface_effect
| if true, the mobility of a cylinder moving near a plane will be used More...
real | cylinder_height
| distance of fluid between slide and cylinder surface (set as `surface_effect`[1])
Confinement | confine
| set forces between fiber and Space [none, inside, outside, surface]
real | confine_stiff
| stiffness of confinement (set as `confine`[1])
std::string | confine_space
| name of space for confinement (set as `confine`[2])
int | steric
| if true, include steric interaction for this object
real | steric_radius
| radius of repulsive steric interaction (also known as `steric`[1])
real | steric_range
| extra radius of attractive steric interaction (also known as `steric`[2])
int | glue
| type of glue (interaction between fiber tip and Space)
std::string | glue_single
| name of Single used for glue (set a `glue`[1])
std::string | activity
| specialization More...
std::string | display
| display string (see Display parameters: Fibers)
FiberDisp * | disp
| display
Space const * | confine_space_ptr
| used for confinement

## Friends
class | TreadmillingFiber

## Additional Inherited Members
Static Public Member Functions inherited from Property
template<typename C >
static void | write_param (std::ostream &os, std::string const &name, C const &c)
| formatted output of one parameter
template<typename C >
static void | write_param (std::ostream &os, std::string const &name, C const *c, int cnt)
| formatted output of one parameter
template<typename C , typename D >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d)
| formatted output of one parameter
template<typename C , typename D , typename E >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d, E const &e)
| formatted output of one parameter
template<typename C , typename D , typename E , typename F >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d, E const &e, F const &f)
| formatted output of one parameter
Protected Attributes inherited from FiberProp
real | time_step
| local copy of SimulProp::time_step
real | free_polymer
| fraction in [0, 1]
real | total_length
| total length of fiber for this type
SingleSet * | glue_set
| SingleSet where glue are stored.
SingleProp * | glue_prop
| SingleProp used for glue.